import gobject
import dbus 
import dbus.service
import dbus.glib

class HelloWorldObject(dbus.service.Object):
   def __init__(self, bus_name, object_path):
      dbus.service.Object.__init__(self, bus_name, object_path)
   @dbus.service.method('org.firstfloor.HelloWorldIFace')
   def hello(self):
       return "Ping"

session_bus = dbus.SessionBus()
bus_name = dbus.service.BusName('org.firstfloor.HelloWorld', bus=session_bus)
object = HelloWorldObject(bus_name, '/org/firstfloor/HelloWorldObject')

mainloop = gobject.MainLoop()
mainloop.run()

